SLogStats (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.client

## Class SLogStats

- java.lang.Object
- - com.sleepycat.client.SLogStats

-     public class SLogStats
      extends java.lang.Object

  Log statistics for a database environment.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCurFile()` The current log file number.
    `int` | `getCurOffset()` The byte offset in the current log file.
    `int` | `getDiskFile()` The log file number of the last record known to be on disk.
    `int` | `getDiskOffset()` The byte offset of the last record known to be on disk.
    `int` | `getFileidInit()` The initial allocated file logging identifiers.
    `int` | `getLgBSize()` The in-memory log record cache size.
    `int` | `getLgSize()` The current log file size.
    `int` | `getMagic()` The magic number that identifies a file as a log file.
    `int` | `getMaxCommitperflush()` The maximum number of commits contained in a single log flush.
    `int` | `getMaxNfileId()` The maximum number of file logging identifiers used.
    `int` | `getMinCommitperflush()` The minimum number of commits contained in a single log flush that contained a commit.
    `int` | `getMode()` The mode of any created log files.
    `int` | `getNumFileId()` The current number of file logging identifiers.
    `long` | `getRCount()` The number of times the log has been read from disk.
    `long` | `getRecord()` The number of records written to this log.
    `long` | `getRegionNowait()` The number of times that a thread of control was able to obtain the log region mutex without waiting.
    `long` | `getRegionWait()` The number of times that a thread of control was forced to wait before obtaining the log region mutex.
    `long` | `getRegSize()` The size of the region.
    `long` | `getSCount()` The number of times the log has been flushed to disk.
    `int` | `getVersion()` The version of the log file type.
    `int` | `getWBytes()` The number of bytes over and above `getWMbytes()` written to this log.
    `int` | `getWcBytes()` The number of bytes over and above `getWcMbytes()` written to this log since the last checkpoint.
    `int` | `getWcMbytes()` The number of megabytes written to this log since the last checkpoint.
    `long` | `getWCount()` The number of times the log has been written to disk.
    `long` | `getWCountFill()` The number of times the log has been written to disk because the in-memory log record cache filled up.
    `int` | `getWMbytes()` The number of megabytes written to this log.
    `java.lang.String` | `toString()` For convenience, the SLogStats class has a toString method that lists all the data fields.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getMagic

          public int getMagic()

      The magic number that identifies a file as a log file.
      Returns:
        the magic number that identifies a file as a log file

    - #### getVersion

          public int getVersion()

      The version of the log file type.
      Returns:
        the version of the log file type

    - #### getMode

          public int getMode()

      The mode of any created log files.
      Returns:
        the mode of any created log files

    - #### getLgBSize

          public int getLgBSize()

      The in-memory log record cache size.
      Returns:
        the in-memory log record cache size

    - #### getLgSize

          public int getLgSize()

      The current log file size.
      Returns:
        the current log file size

    - #### getWcBytes

          public int getWcBytes()

      The number of bytes over and above `getWcMbytes()` written to this log since the last checkpoint.
      Returns:
        the number of bytes over and above `getWcMbytes()` written to this log since the last checkpoint

    - #### getWcMbytes

          public int getWcMbytes()

      The number of megabytes written to this log since the last checkpoint.
      Returns:
        the number of megabytes written to this log since the last checkpoint

    - #### getFileidInit

          public int getFileidInit()

      The initial allocated file logging identifiers.
      Returns:
        the initial allocated file logging identifiers

    - #### getNumFileId

          public int getNumFileId()

      The current number of file logging identifiers.
      Returns:
        the current number of file logging identifiers

    - #### getMaxNfileId

          public int getMaxNfileId()

      The maximum number of file logging identifiers used.
      Returns:
        the maximum number of file logging identifiers used

    - #### getRecord

          public long getRecord()

      The number of records written to this log.
      Returns:
        the number of records written to this log

    - #### getWBytes

          public int getWBytes()

      The number of bytes over and above `getWMbytes()` written to this log.
      Returns:
        The number of bytes over and above `getWMbytes()` written to this log

    - #### getWMbytes

          public int getWMbytes()

      The number of megabytes written to this log.
      Returns:
        the number of megabytes written to this log

    - #### getWCount

          public long getWCount()

      The number of times the log has been written to disk.
      Returns:
        the number of times the log has been written to disk

    - #### getWCountFill

          public long getWCountFill()

      The number of times the log has been written to disk because the in-memory log record cache filled up.
      Returns:
        the number of times the log has been written to disk because the in-memory log record cache filled up

    - #### getRCount

          public long getRCount()

      The number of times the log has been read from disk.
      Returns:
        the number of times the log has been read from disk

    - #### getSCount

          public long getSCount()

      The number of times the log has been flushed to disk.
      Returns:
        the number of times the log has been flushed to disk

    - #### getRegionWait

          public long getRegionWait()

      The number of times that a thread of control was forced to wait before obtaining the log region mutex.
      Returns:
        the number of times that a thread of control was forced to wait before obtaining the log region mutex

    - #### getRegionNowait

          public long getRegionNowait()

      The number of times that a thread of control was able to obtain the log region mutex without waiting.
      Returns:
        the number of times that a thread of control was able to obtain the log region mutex without waiting

    - #### getCurFile

          public int getCurFile()

      The current log file number.
      Returns:
        the current log file number

    - #### getCurOffset

          public int getCurOffset()

      The byte offset in the current log file.
      Returns:
        the byte offset in the current log file

    - #### getDiskFile

          public int getDiskFile()

      The log file number of the last record known to be on disk.
      Returns:
        the log file number of the last record known to be on disk

    - #### getDiskOffset

          public int getDiskOffset()

      The byte offset of the last record known to be on disk.
      Returns:
        the byte offset of the last record known to be on disk

    - #### getMaxCommitperflush

          public int getMaxCommitperflush()

      The maximum number of commits contained in a single log flush.
      Returns:
        the maximum number of commits contained in a single log flush

    - #### getMinCommitperflush

          public int getMinCommitperflush()

      The minimum number of commits contained in a single log flush that contained a commit.
      Returns:
        the minimum number of commits contained in a single log flush that contained a commit

    - #### getRegSize

          public long getRegSize()

      The size of the region.
      Returns:
        the size of the region

    - #### toString

          public java.lang.String toString()

      For convenience, the SLogStats class has a toString method that lists all the data fields.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a String that lists all fields

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.